Subject: bug#20223: 25.0.50; key-chord.el crashes Emacs

From: Jan Tatarik <[email-masked]>
Date: Mon, 30 Mar 2015 21:22:29 +0200

On Mon, Mar 30 2015, Eli Zaretskii wrote:

> I can fix this with the simple patch shown below.  It looks like
> papering over the problem, and perhaps it is.  But I couldn't find any
> obvious place where this_command_key_count should have been
> incremented, but wasn't.  We avoid incrementing it in this scenario
> because the value of 'reread' variable is 'true', since we have events
> in unread-post-input-method-events after invoking the "input-method"
> provided by key-chord.

That works, thanks.

I know nothing of the emacs internals, so I cannot judge whether this is
the appropriate way to fix the issue.